/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: Activator.java 275 2011-08-24 14:03:23Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.clustermanager.impl;

import java.util.Dictionary;
import java.util.Hashtable;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.Constants;
import org.osgi.service.cm.ManagedService;

import org.ow2.sirocco.cloudmanager.clustermanager.api.IClusterManager;

public class Activator implements BundleActivator {

    private ClusterManagerImpl clusterManager;

    public void start(final BundleContext context) throws Exception {
        Dictionary<String, String> props = new Hashtable<String, String>();
        props.put(Constants.SERVICE_PID, "ClusterManager");
        this.clusterManager = new ClusterManagerImpl();
        this.clusterManager.start();
        context.registerService(new String[] {ManagedService.class.getName(), IClusterManager.class.getName()},
            this.clusterManager, props);
        // context.registerService(ClusterManager.class.getName(),
        // this.clusterManager, null);
    }

    public void stop(final BundleContext context) throws Exception {
        this.clusterManager.shutdown();
    }

}
